Name:		qmmp
Version:	0.7.7
Release:	b1%{?dist}
Summary:	Qt-based multimedia player

Group:		Applications/Multimedia
License:	GPLv2+
URL:		http://qmmp.ylsoftware.com/
Source:		http://qmmp.ylsoftware.com/files/%{name}-%{version}.tar.bz2
#Source2:	qmmp-filter-provides.sh
%define		_use_internal_dependency_generator 0
#define		__find_provides {SOURCE2}

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root

#BuildRequires:	cmake flac-devel >= 1.1.3
#BuildRequires:	enca-devel
#BuildRequires:	game-music-emu-devel
#BuildRequires:	jack-audio-connection-kit-devel >= 0.102.5
#BuildRequires:	libbs2b-devel
#BuildRequires:	libcddb-devel
#BuildRequires:	libcdio-paranoia-devel
#BuildRequires:	libmpcdec-devel >= 1.2.2 libvorbis-devel libogg-devel
#BuildRequires:	libprojectM-devel
#BuildRequires:	libsamplerate-devel alsa-lib-devel taglib-devel
BuildRequires:	qt-devel >= 4.2 desktop-file-utils
#BuildRequires:	libsndfile-devel wavpack-devel pulseaudio-libs-devel
#BuildRequires:	libmodplug-devel libcurl-devel openssl-devel
#BuildRequires:	opusfile-devel
#BuildRequires:	wildmidi-devel

Requires(post):	/sbin/ldconfig
Requires(pre):	/sbin/ldconfig

BuildArchitectures: i686
Packager: Yuichiro Nakada <berry@berry-lab.net>

%package devel
Summary:	Development files for qmmp
Group:		Development/Libraries
Requires:	%{name}%{?_isa} = %{version}-%{release}

%description
This program is an audio-player, written with help of Qt library.
The user interface is similar to winamp or xmms.

%description devel
QMMP is Qt-based audio player. This package contains its development files.

Main opportunities:

	* Winamp and xmms skins support
	* plugins support
	* Ogg Vorbis support
	* native FLAC support
	* Musepack support
	* WavePack support
	* ModPlug support
	* PCM WAVE support
	* CD Audio support
	* CUE sheet support
	* ALSA sound output
	* JACK sound output
	* OSS sound output
	* PulseAudio output
	* Last.fm/Libre.fm scrobbler
	* D-Bus support
	* Spectrum Analyzer
	* projectM visualization
	* sample rate conversion
	* bs2b dsp effect
	* streaming support
	* removable device detection
	* MPRIS support
	* global hotkey support
	* lyrics support


%prep
%setup -q

%build
%cmake \
	-D CMAKE_INSTALL_PREFIX=%{_prefix} \
	-D LIB_DIR=%{_lib} \
	./
#	-D USE_AAC:BOOL=FALSE \
#	-D USE_FFMPEG:BOOL=FALSE \
#	-D USE_MAD:BOOL=FALSE \
#	-D USE_MMS:BOOL=FALSE \
#	-D USE_MPLAYER:BOOL=FALSE \
make %{?_smp_mflags} VERBOSE=1

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
# Install desktop file
desktop-file-install --delete-original \
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
	--vendor fedora \
%endif
	--dir %{buildroot}%{_datadir}/applications \
	%{buildroot}/%{_datadir}/applications/qmmp.desktop
# new files since 0.3.0, using Vendor is deprecated, so just validate
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}_cue.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}_dir.desktop
desktop-file-validate %{buildroot}/%{_datadir}/applications/%{name}_enqueue.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
#%doc AUTHORS ChangeLog ChangeLog.rus COPYING README README.RUS
%{_bindir}/qmmp
%{_libdir}/qmmp
%{_libdir}/libqmmp*.so.*
%if (0%{?fedora} && 0%{?fedora} < 19) || (0%{?rhel} && 0%{?rhel} < 7)
%{_datadir}/applications/fedora-%{name}.desktop
%else
%{_datadir}/applications/%{name}.desktop
%endif
%{_datadir}/applications/%{name}_cue.desktop
%{_datadir}/applications/%{name}_dir.desktop
%{_datadir}/applications/%{name}_enqueue.desktop
%{_datadir}/icons/hicolor/
%{_datadir}/%{name}/

%files devel
%{_includedir}/*
%{_libdir}/pkgconfig/qmmp*
%{_libdir}/libqmmp*.so

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
	%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%changelog
* Fri Jun 13 2014 Yuichiro Nakada <berry@berry-lab.net>
- Create for Berry Linux
